package cn.iocoder.yudao.module.attendance.api.leave;

import cn.iocoder.yudao.module.attendance.api.leave.dto.AttendanceLeaveCreateReqDTO;
import cn.iocoder.yudao.module.attendance.service.leave.AttendanceLeaveService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;


@Service
public class AttendanceLeaveApiImpl implements AttendanceLeaveApi {

    @Resource
    private AttendanceLeaveService attendanceLeaveService;


    @Override
    public Long createLeaveInfoAfterAudit(AttendanceLeaveCreateReqDTO leaveCreateReqDTO) {
        if (Objects.isNull(leaveCreateReqDTO)) {
            return -1L;
        }
        return attendanceLeaveService.createLeaveInfoAfterAudit(leaveCreateReqDTO);
    }
}
